
/* == Definition of constants in CGS units == */
#define C_pi       (3.1415926535897932384       ) /* pi */
#define C_2pi      (6.2831853071795864769       ) /* 2*pi */
#define C_4pi      (12.5663706143591729538      ) /* 4*pi */
#define C_pi_2     (1.5707963267948966192       ) /* pi/2 */
#define C_euler    (0.5772156649015328606065    ) /* Euler's constant */
#define C_e        (4.80320680e-10              ) /* electron charge */
#define C_c        (2.99792458e10               ) /* speed of light */
#define C_me       (9.1093826e-28               ) /* electron mass */
#define C_mp       (1.67262171e-24              ) /* proton mass */
#define C_mn       (1.67492728e-24              ) /* neutron mass */
#define C_amu      (1.66053886e-24              ) /* atomic mass unit */
#define C_mAtom    (1.00794 * C_amu             ) /* atomic mass unit */
#define C_h        (6.6260693e-27               ) /* Planck constant */
#define C_k        (1.3806505e-16               ) /* Boltzmann constant */
#define C_G        (6.6742e-8                   ) /* Gravitational constant */
#define C_c2       (8.9875517873681764e20       ) /* c^2 */
#define C_c3       (2.6944002417373989539336e31 ) /* c^3 */
#define C_c5       (2.4216061708512206534320e52 ) /* c^5 */
#define C_e2       (2.3070795563566238161025e-19) /* e^2 */
#define C_e3       (1.1081380213233118296897e-28) /* e^3 */
#define C_me2      (8.2980851353182789400132e-55) /* me^2 */
#define C_me3      (7.5590432344986989028955e-82) /* me^3 */
#define C_me_c2    (8.1871047868450580395355e-7 ) /* me*c^2 */
#define C_1AU      (1.49597870691e13            ) /* Astronomical Unit */
#define C_nA       (6.0221415e23                ) /* Avogadro number */ 
#define C_eV       (1.60217653e-12              ) /* electron volt in erg */
#define C_sigma    (5.670400e-5                 ) /* Stefan-Boltzmann constant */
#define C_alpha    (7.297352568e-3              ) /* fine structure constant */
#define C_rydberg  (2.17987209e-11              ) /* Rydberg constant times hc in erg */
#define C_sigmaT   (0.665245873e-24             ) /* Thomson cross section in cm^2 */ 
#define C_Jy       (1.e-23                      ) /* Jansky (flux/freq. unit) in cgs */
#define C_bohr_mag (9.2740094980e-27            ) /* Bohr Magneton (electron) */ 
#define C_nucl_mag (5.0507834343e-30            ) /* Nuclear Magneton (proton) */ 
#define C_pc       (3.085678e18                 ) /* parsec */
#define C_yr       (31536000.                   ) /* No. of seconds in year */
#define C_day      (86400.                      ) /* No. of seconds in day  */
#define C_hr       (3600.                       ) /* No. of seconds in hour */
#define C_ly       (9.454254955488e17           ) /* light-year (distance in cm) */
#define C_mSUN     (1.99e33                     ) /* solar mass */
#define C_rSun     (6.96e10                     ) /* Radius of Sun */
#define C_LSun     (3.9e33                      ) /* Luminousity of Sun */
#define C_TSun     (5.78e3                      ) /* Temperature of Sun's photosphere */
#define C_MEarth   (5.976e27                    ) /* Earth's mass */
#define C_rEarth   (6.378e8                     ) /* Earth's radius */
#define C_dSgrA    (8.e3 * C_pc                 ) /* Distance from Earth to Sgr A*  */

